Subject: RE: M & O Bits was: draft-ietf-ipv6-node-requirements-01.txt

From: [email-masked]
Date: Wed, 5 Feb 2003 15:30:06 +0200

Hi Ralph,

The text looks really good, what do other thinks?  Does anyone
have a preference for Stateful Address Autoconfiguration to be
a SHOULD or a MAY?

thanks,
John

> -----Original Message-----
> From: ext Ralph Droms [mailto:[email-masked]]
> Sent: 05 February, 2003 14:34
> To: Loughney John (NRC/Helsinki)
> Cc: [email-masked]
> Subject: RE: M & O Bits was: draft-ietf-ipv6-node-requirements-01.txt
> 
> 
> John,
> 
> I've reviewed the text in 
> draft-ietf-ipv6-node-requirements-02.txt, and I 
> have some comments about the text concerning DHCP.
> 
> Regarding the use of DHCP for address assignment...RFC2462 is 
> somewhat 
> vague about the requirement - there are no RFC2119 words 
> guiding the ues of 
> DHCP in section 5.5.3, and no warnings about the consequences 
> of not using 
> DHCP when the 'M' bit is set.  I think we should assume that 
> DHCP is the 
> stateful address assignment protocol at this point (esp. now 
> that the spec 
> has been accepted as a PS).  Also, RFC2462 does not 
> explicitly explain that 
> stateless address autoconfiguration and the use of DHCP are 
> independent - 
> if the 'M' bit is set and there are prefix options in the RA, 
> the host will 
> obtain both SAAC and DHCP addresses.  I propose the following text :
> 
>    4.5.5 Stateful Address Autoconfiguration
> 
>    Stateful Address Autoconfiguration SHOULD be supported.  DHCP
>    [DHCPv6] is the standard stateful address configuration 
> protocol. An
>    IPv6 node that does not include an implementation of DHCP will be
>    unable to obtain any IPv6 addresses aside from link-local addresses
>    when it is connected to a link over which it receives a router
>    advertisement with the 'M' flag (Managed address configuration) set
>    and which contains no prefixes advertised for Stateless Address
>    Autoconfiguration (see section 4.5.2). An IPv6 node that receives
>    a router advertisement with the 'M' flag set and that contains
>    advertised prefixes will configure interfaces with both stateless
>    autoconfiguration addresses and addresses obtained through DHCP.
> 
>    For those IPv6 Nodes that implement DHCP, those nodes MUST use DHCP
>    upon the receipt of a Router Advertisement with the 'M' flag set
>    (see section 5.5.3 of RFC2462).  In addition, in the absence of a
>    router, IPv6 Nodes that implement DHCP MUST attempt to use DHCP.
> 
>    For IPv6 Nodes that do not implement DHCP, the 'M' flag
>    of a Router Advertisement can be ignored.  Furthermore, in the
>    absence of a router, this type of node is not required to initiate
>    DHCP.
> 
> Regarding the 'O' flag...RFC2462 uses about the same 
> (non-RFC2119) words 
> here as for the 'M' flag.  Again, there is no mention of the 
> consequences 
> of not implementing the "stateful autoconfiguration 
> protocol", and it's 
> appropriate to assume DHCP will be stateful autoconfiguration 
> protocol.  So, I think section 5.3 should look a lot like 4.5.5:
> 
> 5.3 Dynamic Host Configuration Protocol for IPv6 (DHCPv6)
> 
>    Stateful Autoconfiguration SHOULD be supported.  DHCP [DHCPv6] is
>    the standard stateful configuration protocol. An IPv6 node 
> that does
>    not include an implementation of DHCP will be unable to 
> obtain other
>    configuration information such as the addresses of DNS servers when
>    it is connected to a link over which the node receives a router
>    advertisement in which the 'O' flag ("Other stateful 
> configuration")
>    is set.
> 
>    For those IPv6 Nodes that implement DHCP, those nodes MUST use DHCP
>    upon the receipt of a Router Advertisement with the 'O' flag set
>    (see section 5.5.3 of RFC2462).  In addition, in the absence of a
>    router, hosts that implement DHCP MUST attempt to use DHCP.
> 
>    For IPv6 Nodes that do not implement DHCP, the 'O' flag
>    of a Router Advertisement can be ignored.  Furthermore, in the
>    absence of a router, this type of node is not required to initiate
>    DHCP.
> 
> - Ralph
> 
> 
> 

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Brian Haberman <[email-masked]>
Date: Wed, 05 Feb 2003 08:56:05 -0500

> have a preference for Stateful Address Autoconfiguration to be

I tend to agree with the SHOULD.  Since these nodes recognize the
'M' & 'O' bit-settings, they should be capable of acting on their
settings.

Brian

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 06 Feb 2003 11:50:51 +0100

> 'M' & 'O' bit-settings, they should be capable of acting on their

Does that follow? DHCP strikes me very much as a discretionary
thing. I think vendors will know when to support it, so a MAY
seems enough to me.

    other Brian

---

From: Brian Haberman <[email-masked]>
Date: Thu, 06 Feb 2003 06:24:15 -0500

> thing. I think vendors will know when to support it, so a MAY

My concern is the scenario where an operator knowingly disables
prefix advertisements and enables DHCPv6.  If the nodes doesn't
do DHCP, it is stuck with only the link-local address.

Brian

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 06 Feb 2003 13:25:04 +0100

> do DHCP, it is stuck with only the link-local address.

Understood. That certainly deserves a health warning. But in large
scale deployments of low-end devices, implementors need to feel
free to leave DHCP out. 

   Brian C